Summary:	User & Group administration tools for Samba-OpenLDAP
Name:		smbldap-tools
Version:	0.9.9
Release:	%mkrel 9
Group:		System/Servers
License:	GPLv2+
URL:		https://gna.org/projects/smbldap-tools/
Source0:	http://download.gna.org/smbldap-tools/sources/%{version}/%{name}-%{version}.tar.gz
Source1:	mkntpwd.tar.bz2
Patch0:		smbldap-tools-mdvconfig.diff

%description
Smbldap-tools is a set of perl scripts written by Idealx. Those scripts are
designed to help managing users and groups in a ldap directory server and
can be used both by users and administrators of Linux systems:
. users can change their password in a way similar to the standard
  "passwd" command,
. administrators can perform users and groups management

Scripts are described in the Smbldap-tools User Manual
(http://samba.idealx.org/smbldap-tools.en.html) which also give command
line examples.
You can download the latest version on Idealx web site
(http://samba.idealx.org/dist/).
Comments and/or questions can be sent to the smbldap-tools mailing list
(http://lists.idealx.org/lists/samba).

%prep
%setup -q -a1
%patch0 -p0 -b .mdvconf

# nuke that IDEALX stuff from the code
for i in `find -type f`; do
    perl -pi -e "s|/etc/opt/IDEALX/smbldap-tools/|%{_sysconfdir}/smbldap-tools/|g; \
    s|/opt/IDEALX/bin:||g; \
    s|/opt/IDEALX/sbin|%{_sbindir}|g" $i
done

%build
%serverbuild
%configure
%make

pushd mkntpwd
%make OPTIMIZE="%optflags %ldflags"
popd

%install
make DESTDIR=%{buildroot} install

install -m0755 mkntpwd/mkntpwd %{buildroot}%{_sbindir}/

mkdir -p %{buildroot}%{_sysconfdir}/smbldap-tools
install -m0644 smbldap.conf %{buildroot}%{_sysconfdir}/smbldap-tools/
install -m0600 smbldap_bind.conf %{buildroot}%{_sysconfdir}/smbldap-tools/

mkdir -p %{buildroot}%{_mandir}/man8/
install -m0644 *.8 %{buildroot}%{_mandir}/man8/

%triggerpostun -- %{name} < 0.9.7
if [ "$1" -eq "2" ]; then ## Upgrade
    %{__perl} %{_datadir}/doc/%{name}/smbldap-upgrade-0.9.6.pl
fi

%files
%doc CONTRIBUTORS COPYING ChangeLog INFRA INSTALL README TODO
%doc smbldap-upgrade-0.9.6.pl
%dir %{_sysconfdir}/smbldap-tools
%config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap.conf
%config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap_bind.conf
%{_sbindir}/*
%{perl_vendorlib}/smbldap_tools.pm
%{_mandir}/man8/*


%changelog
* Sat Mar 21 2020 umeabot <umeabot> 0.9.9-9.mga8
+ Revision: 1558666
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.9.9-8.mga7
+ Revision: 1301076
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.9.9-7.mga6
+ Revision: 1036527
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.9.9-6.mga6
+ Revision: 942731
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.9-5.mga5
+ Revision: 739760
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.9-4.mga5
+ Revision: 689207
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.9-3.mga4
+ Revision: 518420
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.9.9-2.mga3
+ Revision: 382196
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 16 2012 fwang <fwang> 0.9.9-1.mga3
+ Revision: 294423
- new version 0.9.9

* Sun Mar 06 2011 ennael <ennael> 0.9.5-6.mga1
+ Revision: 65691
- imported package smbldap-tools

